# 指定压缩数据的最小长度，只有大于或等于最小长度才会对其压缩。这里指定 20 字节
brotli_min_length  1k;

# Brotli 请求缓冲区的数量和大小
brotli_buffers    16 10k;

# Brotli 使用的窗口值。默认值为 512k
brotli_window    512k;

# 压缩水平可以是 0 到 11，默认值是 6。太高的压缩水平对性能提升并没有太大好处，因为这需要更多的 CPU 时间
brotli_comp_level  6;

# 指定允许进行压缩的回复类型
brotli_types    application/dash+xml application/eot application/font application/font-sfnt application/javascript application/json application/opentype application/otf application/pkcs7-mime application/protobuf application/rss+xml application/truetype application/ttf application/vnd.apple.mpegurl application/vnd.mapbox-vector-tile application/vnd.ms-fontobject application/xhtml+xml application/xml application/x-font-opentype application/x-font-truetype application/x-font-ttf application/x-httpd-cgi application/x-javascript application/x-mpegurl application/x-opentype application/x-otf application/x-perl application/x-ttf font/eot font/opentype font/otf font/ttf image/svg+xml text/css text/csv text/javascript text/js text/plain text/richtext text/tab-separated-values text/xml text/x-component text/x-java-source text/x-script;

### 可参考下面
### application/atom+xml application/javascript application/json application/rss+xml application/vnd.ms-fontobject application/x-font-opentype application/x-font-truetype application/x-font-ttf application/x-javascript application/xhtml+xml application/xml font/eot font/opentype font/otf font/truetype image/svg+xml image/vnd.microsoft.icon image/x-icon image/x-win-bitmap text/css text/javascript text/plain text/xml;

# 是否允许查找预处理好的、以 .br 结尾的压缩文件。可选值为 on、off、always
brotli_static    on;
